#
# spec file for package gnome-nibbles
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-nibbles
Version:        3.20.2.1
Release:        1.1
Summary:        Worm Game for GNOME
License:        GPL-3.0+
Group:          Amusements/Games/Action/Arcade
Url:            https://live.gnome.org/Lightsoff
Source:         http://download.gnome.org/sources/gnome-nibbles/3.20/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50.2
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(clutter-1.0) >= 1.22.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.4.0
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.18.0
BuildRequires:  pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:  pkgconfig(libgames-support-1.0) >= 0.2
Recommends:     %{name}-lang
# gnome-nibbles was part of gnome-games until 3.7.x and was called gnibbles
Obsoletes:      gnibbles < %{version}
Obsoletes:      gnibbles-lang < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Nibbles is a worm game for GNOME. The player controls a 2D worm while
trying to get food. Getting food gives points, but hitting anything
causes a loss of points. When all points are lost, the player loses.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file org.gnome.Nibbles

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc COPYING NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Nibbles.appdata.xml
%{_datadir}/applications/org.gnome.Nibbles.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.nibbles.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Mon May  9 2016 zaitor@opensuse.org
- Update to version 3.20.2.1:
  + Remove extra file added in the previous pre-release commit.
- Changes from version 3.20.2:
  + Updated translations.
* Mon Apr 11 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Wed Mar 23 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Internationalization bugs fixed.
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Fix a crash when eating a cherry shortly after an apple or a
    banana.
  + Fix minor style issue.
  + Updated translations.
* Sun Feb 28 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Fix New Game/Pause buttons during countown.
  + Fix sounds played when eating a bonus.
  + Restore user help.
  + Updated translations.
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + Fix CSS problems.
  + Add proper end game screens for all possible outcomes.
  + Use the new scores import API from libgames-support.
  + Fix problem with buttons breaking the game during the end game
    screens.
  + Fix window size increasing with GTK+ 3.20.
  + Fix bug with worm being briefly uncontrollable at the start of
    a level.
  + Add buttons for selecting the number of AI players.
  + Update project license.
  + Add screen congratulating the player when reaching the last
    level of the game.
  + Updated translations.
- Update license tag to GPL-3.0+, following upstreams changes.
* Tue Jan 19 2016 dimstar@opensuse.org
- Update to version 3.19.4:
  + Added preferences dialog.
  + Updated translations.
* Wed Dec 23 2015 dimstar@opensuse.org
- Update to version 3.19.3:
  + Make worms spawning on top of other worms ghosts until they
    move to a safe area.
  + Reset level when starting a new game.
- Changes from version 3.19.2:
  + Use gettext.
  + Updated translations.
- Add pkgconfig(gee-0.8) and pkgconfig(libgames-support-1.0)
  BuildRequires: new dependencies.
- Drop pkgconfig(librsvg-2.0) BuildRequires: no longer needed.
* Tue Nov 10 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Updated translations.
* Sun Oct 11 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Thu Aug 13 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Fix typos in documentation.
  + Updated translations.
* Wed Jun 24 2015 dimstar@opensuse.org
- Own %%{_datadir}/appdata for openSUSE 42.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Provide symbolic app icon.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Remove the two asserts that crash the most for the "stable"
    release.
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91.1:
  + Fix installation of appdata files.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Pause game when viewing preferences or scores.
  + Use gresource, code cleanups.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Don't connect to the windowing system when parsing command line
    options.
  + Don't allow setting the number of human players to zero.
  + Updated translations.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Disable some asserts for stable branch.
* Mon Sep 22 2014 zaitor@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Wed Sep 17 2014 dimstar@opensuse.org
- Drop special permission handling, incl pwdutils Requires: this
  was required back when there was a system wide, shared highscore
  list.
* Tue Sep 16 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Make game delay configurable by debug switch.
  + Updated translations.
* Tue Sep  2 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Make all animations depend on already existing game delay
    constant.
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Fix several causes of invisible death worms, but a few known
    cases remain.
  + The game will now crash whenever an invisible death worm would
    be created.
  + Fix pause action in app menu.
  + Fix resizing the board.
  + Remove seriously buggy random teleporter on level 25.
  + Use header bar on preferences dialog.
  + Don't allow multiple windows.
  + Fix small memory leak.
  + Code cleanups.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Set a minimum size correctly, fixed major resize issue.
  + Updated translations.
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Properly change the state of the pause action.
  + Update URLs.
  + Updated translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Mon Mar 17 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Updated translations.
* Mon Feb 17 2014 zaitor@opensuse.org
- Update to version 3.11.90.1:
  + Added GtkHeaderBar, bumps depends to GTK+ 3.10.
* Sun Feb 16 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + AppData improvements.
- Replace %%suse_update_desktop_file gnibbles with
  %%suse_update_desktop_file gnome-nibbles.
* Mon Feb  3 2014 dimstar@opensuse.org
- Update to version 3.11.5:
  + GtkApplication Port with new AppMenu.
  + Fix scores system and move to storing in home.
  + End game will show scores dialog.
  + Updated translations.
- Remove calls to handle score files in /var/games.
- Drop gnome-games-scripts BuildRequires: no longer required, as
  we no longer have score files in /var/games.
* Wed Nov 20 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + Added AppData file.
  + Minor improvements to translatablity.
  + Code and file cleanups.
  + Updated translations.
* Sun Oct 13 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Updated translations.
* Mon Sep 23 2013 idonmez@suse.com
- Create games user/group on demand (fate#314560)
  + Depend on pwdutils for that to work.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Sun Sep 15 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Added an appdata file.
  + Disable preferences menu when playing.
  + Remove score-dialog that doesn't work.
  + Migrated to Clutter 1.14.4.
  + Help pages updated.
  + Performance improvements and code cleanup.
  + Updated translations.
* Mon Apr  8 2013 dimstar@opensuse.org
- Also obsolete -lang package.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Renamed .desktop file back to gnibbles.desktop.
  + Add HighContrast icon.
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
